#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 12. System Utilities

- Prev

  System Utilities

- Next

  acpid-2.0.32

- Up
- Home

# AccountsService-0.6.55

## Introduction to AccountsService

The AccountsService package provides a set of D-Bus interfaces for querying and manipulating user account information and an implementation of those interfaces based on the usermod(8), useradd(8) and userdel(8) commands.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/accountsservice/accountsservice-0.6.55.tar.xz

- Download MD5 sum: 6e4c6fbd490260cfe17de2e76f5d803a

- Download size: 96 KB

- Estimated disk space required: 10 MB

- Estimated build time: 0.1 SBU

### AccountsService Dependencies

#### Required

libgcrypt-1.9.2 and Polkit-0.118

#### Recommended

gobject-introspection-1.66.1 and Systemd-247

#### Optional

GTK-Doc-1.33.2 and xmlto-0.0.28

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/accountsservice

## Installation of AccountsService

Install AccountsService by running the following commands:

    mkdir build &&
    cd build &&

    meson --prefix=/usr           \
                -Dadmin_group=adm \
                -Dsystemd=true    \
                .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dadmin_group=adm`: This switch sets the group for administrator accounts.

`-Ddocbook=true`: This switch enables building the D-Bus interface API documentation.

## Configuring AccountsService

To allow users in the adm group to be listed as Administrators, execute the following commands as the `root` user:

    cat > /etc/polkit-1/rules.d/40-adm.rules << "EOF"
    polkit.addAdminRule(function(action, subject) {
       return ["unix-group:adm"];
       });
    EOF

###

#### Systemd Unit

To start the accounts-daemon daemon at boot, enable the previously installed systemd unit by running the following command as the `root` user:

    systemctl enable accounts-daemon

## Contents

Installed Programs: accounts-daemon (library executable)
Installed Libraries: libaccountsservice.so
Installed Directories: /usr/include/accountsservice-1.0, /usr/share/doc/accountsservice, /usr/share/gtk-doc/html/libaccountsservice, and /var/lib/AccountsService

### Short Descriptions

accounts-daemon | is the AccountsService daemon
`libaccountsservice.so` | contains the AccountsService API functions

Last updated on 2021-02-21 17:43:43 -0800

- Prev

  System Utilities

- Next

  acpid-2.0.32

- Up
- Home